dev-scheme/
racket

General purpose, multi-paradigm Lisp-Scheme programming language

https://racket-lang.org/

Version 7.7 is available upstream. Please consider updating!
It seems that version 7.7 is available upstream, while the latest version in the Gentoo tree is 7.3.

Available Versions

Version amd64 x86 alpha arm arm64 hppa ia64 ppc ppc64 sparc
Warnings For All Versions
UnstableOnly for arches: [ arm, ppc, ppc64 ], all versions are unstable: [ 7.0, 7.1, 7.2, 7.3 ]
UnstableOnly for arches: [ arm, ppc, ppc64 ], all versions are unstable: [ 7.0, 7.1, 7.2, 7.3 ]
7.3 : 0 ~amd64 ~x86 alpha ~arm arm64 hppa ia64 ~ppc ~ppc64 sparc
DeprecatedPkg deprecated DEPEND: virtual/libffi
DeprecatedPkg deprecated RDEPEND: virtual/libffi
MissingSlotDep 'x11-libs/gtk+[X?]' matches more than one slot: [ 2, 3 ]
MissingUseDepDefault DEPEND="x11-libs/gtk+[X?]": USE flag 'X' missing from package: [ x11-libs/gtk+-2.24.32-r1 ]
MissingUseDepDefault RDEPEND="x11-libs/gtk+[X?]": USE flag 'X' missing from package: [ x11-libs/gtk+-2.24.32-r1 ]
DeprecatedPkg deprecated DEPEND: virtual/libffi
DeprecatedPkg deprecated RDEPEND: virtual/libffi
MissingSlotDep 'x11-libs/gtk+[X?]' matches more than one slot: [ 2, 3 ]
MissingUseDepDefault DEPEND="x11-libs/gtk+[X?]": USE flag 'X' missing from package: [ x11-libs/gtk+-2.24.32-r1 ]
MissingUseDepDefault RDEPEND="x11-libs/gtk+[X?]": USE flag 'X' missing from package: [ x11-libs/gtk+-2.24.32-r1 ]
7.2 : 0 ~amd64 ~x86 alpha ~arm arm64 hppa ia64 ~ppc ~ppc64 sparc
DeprecatedPkg deprecated DEPEND: virtual/libffi
DeprecatedPkg deprecated RDEPEND: virtual/libffi
MissingSlotDep 'x11-libs/gtk+[X?]' matches more than one slot: [ 2, 3 ]
MissingUseDepDefault DEPEND="x11-libs/gtk+[X?]": USE flag 'X' missing from package: [ x11-libs/gtk+-2.24.32-r1 ]
MissingUseDepDefault RDEPEND="x11-libs/gtk+[X?]": USE flag 'X' missing from package: [ x11-libs/gtk+-2.24.32-r1 ]
RedundantVersion slot(0) keywords are overshadowed by version: 7.3
DeprecatedPkg deprecated DEPEND: virtual/libffi
DeprecatedPkg deprecated RDEPEND: virtual/libffi
MissingSlotDep 'x11-libs/gtk+[X?]' matches more than one slot: [ 2, 3 ]
MissingUseDepDefault DEPEND="x11-libs/gtk+[X?]": USE flag 'X' missing from package: [ x11-libs/gtk+-2.24.32-r1 ]
MissingUseDepDefault RDEPEND="x11-libs/gtk+[X?]": USE flag 'X' missing from package: [ x11-libs/gtk+-2.24.32-r1 ]
RedundantVersion slot(0) keywords are overshadowed by version: 7.3
7.1 : 0 ~amd64 ~x86 alpha ~arm arm64 hppa ia64 ~ppc ~ppc64 sparc
DeprecatedPkg deprecated DEPEND: virtual/libffi
DeprecatedPkg deprecated RDEPEND: virtual/libffi
MissingSlotDep 'x11-libs/gtk+[X?]' matches more than one slot: [ 2, 3 ]
MissingUseDepDefault DEPEND="x11-libs/gtk+[X?]": USE flag 'X' missing from package: [ x11-libs/gtk+-2.24.32-r1 ]
MissingUseDepDefault RDEPEND="x11-libs/gtk+[X?]": USE flag 'X' missing from package: [ x11-libs/gtk+-2.24.32-r1 ]
RedundantVersion slot(0) keywords are overshadowed by versions: 7.2, 7.3
DeprecatedPkg deprecated DEPEND: virtual/libffi
DeprecatedPkg deprecated RDEPEND: virtual/libffi
MissingSlotDep 'x11-libs/gtk+[X?]' matches more than one slot: [ 2, 3 ]
MissingUseDepDefault DEPEND="x11-libs/gtk+[X?]": USE flag 'X' missing from package: [ x11-libs/gtk+-2.24.32-r1 ]
MissingUseDepDefault RDEPEND="x11-libs/gtk+[X?]": USE flag 'X' missing from package: [ x11-libs/gtk+-2.24.32-r1 ]
RedundantVersion slot(0) keywords are overshadowed by versions: 7.2, 7.3
7.0 : 0 amd64 x86 alpha ~arm arm64 hppa ia64 ~ppc ~ppc64 sparc
DeprecatedPkg deprecated DEPEND: virtual/libffi
DeprecatedPkg deprecated RDEPEND: virtual/libffi
MissingSlotDep 'x11-libs/gtk+[X?]' matches more than one slot: [ 2, 3 ]
MissingUseDepDefault DEPEND="x11-libs/gtk+[X?]": USE flag 'X' missing from package: [ x11-libs/gtk+-2.24.32-r1 ]
MissingUseDepDefault RDEPEND="x11-libs/gtk+[X?]": USE flag 'X' missing from package: [ x11-libs/gtk+-2.24.32-r1 ]
PotentialStable slot(0), stabled arches: [ amd64, x86 ], potentials: [ ~arm, ~ppc, ~ppc64 ]
DeprecatedPkg deprecated DEPEND: virtual/libffi
DeprecatedPkg deprecated RDEPEND: virtual/libffi
MissingSlotDep 'x11-libs/gtk+[X?]' matches more than one slot: [ 2, 3 ]
MissingUseDepDefault DEPEND="x11-libs/gtk+[X?]": USE flag 'X' missing from package: [ x11-libs/gtk+-2.24.32-r1 ]
MissingUseDepDefault RDEPEND="x11-libs/gtk+[X?]": USE flag 'X' missing from package: [ x11-libs/gtk+-2.24.32-r1 ]
PotentialStable slot(0), stabled arches: [ amd64, x86 ], potentials: [ ~arm, ~ppc, ~ppc64 ]

Package Metadata

Changelog